Package uk.ac.starlink.topcat

## Class TopcatForwarder

- java.lang.Object
- - uk.ac.starlink.topcat.TopcatForwarder

- All Implemented Interfaces:
    `java.util.EventListener`, `TopcatListener`

      public class TopcatForwarder
      extends java.lang.Object
      implements TopcatListener

  TopcatListener implementation which forwards events to other TopcatListeners.
  Since:
    3 Nov 2005
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TopcatForwarder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addTopcatListener​(TopcatListener listener)` | Adds a new listener.
    `void` | `modelChanged​(TopcatEvent evt)` | Invoked when the model has changed in some way.
    `void` | `removeTopcatListener​(TopcatListener listener)` | Removes a listener which was previously added.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopcatForwarder

          public TopcatForwarder()

  - ### Method Detail

    - #### addTopcatListener

          public void addTopcatListener​(TopcatListener listener)

      Adds a new listener.
      Parameters:
        `listener` - listener to add

    - #### removeTopcatListener

          public void removeTopcatListener​(TopcatListener listener)

      Removes a listener which was previously added.
      Parameters:
        `listener` - listener to remove

    - #### modelChanged

          public void modelChanged​(TopcatEvent evt)

      Description copied from interface: `TopcatListener`
      Invoked when the model has changed in some way.
      Specified by:
        `modelChanged` in interface `TopcatListener`
      Parameters:
        `evt` - event description

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.